/**
 * Exception error occurring with any of the `object-builder` methods.
 */
export declare abstract class ObjectBuilderException extends Error {
    /**
     * Creates a ObjectBuilder exception
     *
     * @param props The parameters to send to the [error]{@link error} superclass.
     */
    constructor(...props: Parameters<ErrorConstructor>);
}
